Loading...
Searching...
No Matches
PathNodeIt< Path > Class Template Reference
Data Structures » Path Structures

## Detailed Description

template<typename Path>
class lemon::PathNodeIt< Path >

In a sense, the path can be treated as a list of arcs. The LEMON path type stores only this list. As a consequence, it cannot enumerate the nodes in the path and the zero length paths cannot have a source node.

This class implements the node iterator of a path structure. To provide this feature, the underlying digraph should be passed to the constructor of the iterator.

`#include <lemon/path.h>`

## Public Member Functions

| PathNodeIt ()
| Default constructor.
| PathNodeIt (Invalid)
| Invalid constructor.
| PathNodeIt (const Digraph &digraph, const Path &path)
| Constructor.
| PathNodeIt (const Digraph &digraph, const Path &path, const Node &src)
| Constructor.
| operator Node () const
| Conversion to Digraph::Node.
PathNodeIt & | operator++ ()
| Next node.
bool | operator== (const PathNodeIt &n) const
| Comparison operator.
bool | operator!= (const PathNodeIt &n) const
| Comparison operator.
bool | operator< (const PathNodeIt &n) const
| Comparison operator.